Skip to main content
POST
Update the current marketing opt in or opt out for a profile. This will generate an activity. The current opt in or opt out status can be determined by looking at activities. If there is an activity of type "marketing_opt_in" and no "marketing_opt_out" after that, the profile is opted in.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

Body

application/json
opt_in
boolean

If a profile is not currently opted in and this field is true, the profile will be opted in. If a profile is already opted in and this field is true, nothing will change. Same applies to setting this field to false and therefore opting out.

Response

200 - application/json

Success

data
object

Profile data of a customer. A profile can have many customers. A customer belongs to one profile. Can be used to connect a real person with multiple messengers (aka customers) to one profile.